package com.ningdatech.pmapi.todocenter.bean.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 节点用户相关信息
 *
 * @author CMM
 * @since 2023/02/15 14:28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserInfoVO {

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("用户真实姓名")
    private String realName;

    @ApiModelProperty("浙政钉accountId")
    private Long accountId;

    @ApiModelProperty("用户部门编号")
    private String organizationCode;

    @ApiModelProperty("用户部门名称")
    private String organizationName;
}
